import jaggl.OpenGL;

public class Class266 implements Interface26 {

   int anInt3095;
   Class275_Sub2 aClass275_Sub2_3096;


   public int method33() {
      return this.aClass275_Sub2_3096.method30();
   }

   public void method10() {}

   public int method30() {
      return this.aClass275_Sub2_3096.method30();
   }

   public void method45(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass275_Sub2_3096.anInt3194, this.aClass275_Sub2_3096.anInt3187, this.anInt3095);
   }

   public void method9() {}

   public int method31() {
      return this.aClass275_Sub2_3096.method30();
   }

   Class266(Class275_Sub2 var1, int var2) {
      this.anInt3095 = var2;
      this.aClass275_Sub2_3096 = var1;
   }

   public int method32() {
      return this.aClass275_Sub2_3096.method30();
   }

   public void method8() {}

   public int method35() {
      return this.aClass275_Sub2_3096.method35();
   }

   public int method34() {
      return this.aClass275_Sub2_3096.method35();
   }

   public int method29() {
      return this.aClass275_Sub2_3096.method35();
   }

   public void method47(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass275_Sub2_3096.anInt3194, this.aClass275_Sub2_3096.anInt3187, this.anInt3095);
   }
}
